woocommerce API 401 on Plesk and lets encrypt

I have tried million things and I can not solve this issue.

{
“code”: “woocommerce_rest_cannot_view”,
“message”: “Sorry, you cannot list resources.”,
“data”: {
“status”: 401
}
}

When connecting oauth or basic authentication on woocommerce api on https. On http it works normal.

I am using Plesk on digitalocean. Everything seems to be ok with woocommerce system status, certificate, etc.

Server is running on PHP support 7.1.4, fastCGI (served by apache) however on different settings with this it also doesnt work.

I have tried numerous different configurations etc., nothing. I am out of ideas.

Read more here: woocommerce API 401 on Plesk and lets encrypt

Leave a Reply

Your email address will not be published. Required fields are marked *